



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Java程序设计环境概述</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Java程序设计环境概述</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-06 00:21:29 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>本文主要Java程序设计环境的要点，以及相关注意事项。</p>
<p><strong>一、安装Java开发包</strong></p>
<p>Oracle公司为Linux、Mac OS X、Solaris和Windows提供了Java开发工具包（JDK）的最新、最完整的版本。至于大佬们为什么没有打算合作一下，在电脑中自动配置Java开发程序，那时有着一定的历史原因，喜欢的盆友可以自己找找相关的资料。下面进入正题，如何安装Java开发包：</p>
<p>1.下载Java可发工具包（JDK）</p>
<p>可以访问Oracle官方网站。</p>
<p>*几个相关专业术语简介：</p>
<table>
<tbody>
<tr>
<td>术语名</td>
<td>缩写</td>
<td>j解释</td>
</tr>
<tr>
<td>Java Development Kit</td>
<td>JDK</td>
<td>编写Java程序的程序人员使用的软件</td>
</tr>
<tr>
<td>Java Runtime Environment</td>
<td>JRE</td>
<td>运行Java程序的用户使用的软件</td>
</tr>
<tr>
<td>Server JRE</td>
<td>/</td>
<td>在服务器上运行Java程序的软件</td>
</tr>
<tr>
<td>Standard Edition</td>
<td>SE</td>
<td>用于桌面或简单简单服务器应用的Java平台</td>
</tr>
<tr>
<td>Enterprise Edition</td>
<td>EE</td>
<td>用于复杂服务器应用的Java平台</td>
</tr>
<tr>
<td>Micro Edition</td>
<td>MS</td>
<td>用于手机和其他小型设备应用的Java平台</td>
</tr>
<tr>
<td>Java FX</td>
<td>/</td>
<td>用于图形化用户界面的一个代替工具包，在Oracle的Java SE发布版本中提供（#我还不太理解）</td>
</tr>
<tr>
<td>OpenJdk</td>
<td>/</td>
<td>Java SE的一个免费开放源实现，不包含浏览器集成或Java FX</td>
</tr>
<tr>
<td>Java2</td>
<td>J2</td>
<td>过时的术语，用于描述1998-2006年之间的Java版本</td>
</tr>
<tr>
<td>Software Development Kid</td>
<td>SDK</td>
<td>过时术语，用于描述1998-2006年之间的JDK</td>
</tr>
<tr>
<td>Update</td>
<td>u</td>
<td>Oracle的术语，表示bug修正版本</td>
</tr>
<tr>
<td>NetBeans</td>
<td>/</td>
<td>Oracle的集成开发环境</td>
</tr>
</tbody>
</table>
<p>2.如何选择适当的JDK注意点：</p>
<p>1）下载JDK，而不是JRE。（在下载JDK时，软件会提醒你是否也下载JRE，JDK里面会带有这个选项，不用自己单独去下载一个JRE）</p>
<p>2）Windows或Linux：32位选择x86，64位以x64。（一般在你下载的时候他会自动帮你选择的，不用担心）</p>
<p>3）Linux：选择.tar.gz版本。</p>
<p>注意：在设置JDK时，千万不要更改路径，千万不要更改路径，千万不要更改路径。</p>
<p>在Windows或Linux上安装JDK时，还需要完成的步骤：讲jdk/bin目录增加到执行路径中。不然，以后操作系统可能找不到执行文件的位置。</p>
<p>3.成果演示：</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1155461/201706/1155461-20170602113325727-1566299587.png"></p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1155461/201706/1155461-20170602113338305-1121820789.png"></p>
<p><strong>二、使用集成开发环境</strong></p>
<p>*这里我演示Eclipse的基本操作方法(如果你想用其他的我还知道，NetBeans和IntelliJ IDEA程序。但是，这两个我现在还不会，你们可以先试试，比较一下他们的性能）</p>
<p>1.进入Eclipse官网下载</p>
<p>在官网中选择“Eclipse IDE for Java Developers”进行下载即可。注意：选择适合你电脑的版本（23位或64位电脑用不同版本的）</p>
<p>2.用Eclipse编写程序的一般步骤：</p>
<p>1）启动Eclipse后，选择File-New-project（或Java Project）</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1155461/201706/1155461-20170602114639711-51511868.jpg"></p>
<p>2)从向导对话框中选择Java Project</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1155461/201706/1155461-20170602114921493-2028487902.png"></p>
<p>3）按照要求填写上面的内容，点击Next，最后Finish，完成工程的创建。</p>
<p>4）在窗口的左上角找到Package Explorer（注意这个如果没显示在窗口，可以去工具栏的Windows里面去找，把它设置成窗口显示即可）</p>
<p><img referrerpolicy="no-referrer"src="http://images2015.cnblogs.com/blog/1155461/201706/1155461-20170602115418524-1851395196.png"></p>
<p>====接下来我们就可以在Eclipse开发环境中码代码啦。</p>
<p>记得刚开始，我用记事本编辑Java源文件，还要通过命令提示符进行编译一下，然后才能执行。</p>
<p>集成开发环境的好处就是它悄悄的帮你把这些编译工作做完了，你可以到文件的储存位置找到自动生成的.Class文件（字节码文件）。</p>
<p>另外Eclipse有自动报错功能，还可以在下面直接看到运行的结果。</p>
<p>总之，好处多多！但是，还是建议初学者要会用记事本、UE，用这两个去试着做一个Java程序，真的可以让你更好的理解Java程序的编写、编译、运行的原理。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/495dozvq.html">未能加载文件或程序集EntityFramework&comma; Version&equals;6&period;0&period;0&period;0解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2gdlw8.html">20151207Study</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mve5o8.html">如何清理WindowsXp的临时文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8k6jv3q.html">jquery学习笔记---this关键字</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qy7e52q.html">Linux中强制结束一个进程的终极方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/jqdmnrjq.html">ssh  org&period;springframework&period;beans&period;TypeMismatchException</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8ep6wm9.html">JQuery 可见性过滤选择器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8k1wxl69.html">redis 错误。</a>
		</li>
						<li><a href="https://www.batexi.com/a/qdp5o3jq.html">linux文件特殊属性介绍（s，s，t）</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pdm5zd9.html">java 文件字节输入流</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnjyz438.html">保存和恢复 Android Fragment 的状态</a>
		</li>
						<li><a href="https://www.batexi.com/a/95075308.html">wkwebview加载本地html的要点</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me6o12q.html">&lbrack;CODEVS 1288&rsqb;埃及分数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kpwyv59.html">iOS开发之微信平台分享</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1rko448.html">TFS 删除版本控制</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnv274k8.html">Nginx在局域网中使用ip&lowbar;hash负载均衡策略，访问全部分发到同一个后台服务器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zko53n8.html">共享权限ACL列表出现SID现象</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pj260q.html">Cassandra 2&period;x 提示&OpenCurlyDoubleQuote;错误&colon; 代理抛出异常错误&colon; java&period;lang&period;NullPointerException&rdquo;</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1kk609.html">机器学习入门-主成分分析&lpar;PCA&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwlr17r9.html">Jmeter的一个jmx文件（备忘）</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qwjrvx38.html">vector介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1klpwz9.html">Reactjs vs&period; Vuejs</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mpev48.html">for循环-0&comma;1&comma;1&comma;2&comma;2可以组成多少个不重复的五位数？</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mpegm8.html">Mysql求百分比</a>
			</li>
						<li><a href="https://www.batexi.com/a/qljkkoe9.html">MyEclipse2016添加外部的maven插件</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd3ggz9.html">为Play初学者准备的Scala基础知识</a>
			</li>
						<li><a href="https://www.batexi.com/a/950wd6m8.html">【2017-05-17】WebForm</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pd37wy9.html">微信小程序，前端大梦想（七）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdpzgvjq.html">&period;NET 通过 Autofac 和 DynamicProxy 实现AOP</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwjr4xz8.html">Hibernate createQuery调用joincolumn</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
